Package org.apache.batchee.container.modelresolver

## Class PropertyResolverFactory

- java.lang.Object
- - org.apache.batchee.container.modelresolver.PropertyResolverFactory

-     public class PropertyResolverFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PropertyResolver<Analyzer>` | `createAnalyzerPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<Batchlet>` | `createBatchletPropertyResolver​(boolean isPartitionedStep)` |
    `static CheckpointAlgorithmPropertyResolver` | `createCheckpointAlgorithmPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<Chunk>` | `createChunkPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<Collector>` | `createCollectorPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<Decision>` | `createDecisionPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<Flow>` | `createFlowPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<JSLJob>` | `createJobPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<Listener>` | `createListenerPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<ExceptionClassFilter>` | `createNoRollbackExceptionClassesPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<PartitionMapper>` | `createPartitionMapperPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<PartitionPlan>` | `createPartitionPlanPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<Partition>` | `createPartitionPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<PartitionReducer>` | `createPartitionReducerPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<ItemProcessor>` | `createProcessorPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<ItemReader>` | `createReaderPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<ExceptionClassFilter>` | `createRetryableExceptionClassesPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<ExceptionClassFilter>` | `createSkippableExceptionClassesPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<Split>` | `createSplitPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<Step>` | `createStepPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<TransitionElement>` | `createTransitionElementPropertyResolver​(boolean isPartitionedStep)` |
    `static PropertyResolver<ItemWriter>` | `createWriterPropertyResolver​(boolean isPartitionedStep)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createJobPropertyResolver

          public static PropertyResolver<JSLJob> createJobPropertyResolver​(boolean isPartitionedStep)

    - #### createStepPropertyResolver

          public static PropertyResolver<Step> createStepPropertyResolver​(boolean isPartitionedStep)

    - #### createBatchletPropertyResolver

          public static PropertyResolver<Batchlet> createBatchletPropertyResolver​(boolean isPartitionedStep)

    - #### createSplitPropertyResolver

          public static PropertyResolver<Split> createSplitPropertyResolver​(boolean isPartitionedStep)

    - #### createFlowPropertyResolver

          public static PropertyResolver<Flow> createFlowPropertyResolver​(boolean isPartitionedStep)

    - #### createChunkPropertyResolver

          public static PropertyResolver<Chunk> createChunkPropertyResolver​(boolean isPartitionedStep)

    - #### createTransitionElementPropertyResolver

          public static PropertyResolver<TransitionElement> createTransitionElementPropertyResolver​(boolean isPartitionedStep)

    - #### createDecisionPropertyResolver

          public static PropertyResolver<Decision> createDecisionPropertyResolver​(boolean isPartitionedStep)

    - #### createListenerPropertyResolver

          public static PropertyResolver<Listener> createListenerPropertyResolver​(boolean isPartitionedStep)

    - #### createPartitionPropertyResolver

          public static PropertyResolver<Partition> createPartitionPropertyResolver​(boolean isPartitionedStep)

    - #### createPartitionMapperPropertyResolver

          public static PropertyResolver<PartitionMapper> createPartitionMapperPropertyResolver​(boolean isPartitionedStep)

    - #### createPartitionPlanPropertyResolver

          public static PropertyResolver<PartitionPlan> createPartitionPlanPropertyResolver​(boolean isPartitionedStep)

    - #### createPartitionReducerPropertyResolver

          public static PropertyResolver<PartitionReducer> createPartitionReducerPropertyResolver​(boolean isPartitionedStep)

    - #### createCheckpointAlgorithmPropertyResolver

          public static CheckpointAlgorithmPropertyResolver createCheckpointAlgorithmPropertyResolver​(boolean isPartitionedStep)

    - #### createCollectorPropertyResolver

          public static PropertyResolver<Collector> createCollectorPropertyResolver​(boolean isPartitionedStep)

    - #### createAnalyzerPropertyResolver

          public static PropertyResolver<Analyzer> createAnalyzerPropertyResolver​(boolean isPartitionedStep)

    - #### createReaderPropertyResolver

          public static PropertyResolver<ItemReader> createReaderPropertyResolver​(boolean isPartitionedStep)

    - #### createProcessorPropertyResolver

          public static PropertyResolver<ItemProcessor> createProcessorPropertyResolver​(boolean isPartitionedStep)

    - #### createWriterPropertyResolver

          public static PropertyResolver<ItemWriter> createWriterPropertyResolver​(boolean isPartitionedStep)

    - #### createSkippableExceptionClassesPropertyResolver

          public static PropertyResolver<ExceptionClassFilter> createSkippableExceptionClassesPropertyResolver​(boolean isPartitionedStep)

    - #### createRetryableExceptionClassesPropertyResolver

          public static PropertyResolver<ExceptionClassFilter> createRetryableExceptionClassesPropertyResolver​(boolean isPartitionedStep)

    - #### createNoRollbackExceptionClassesPropertyResolver

          public static PropertyResolver<ExceptionClassFilter> createNoRollbackExceptionClassesPropertyResolver​(boolean isPartitionedStep)